Loading...
Searching...
No Matches
etl::closure< TReturn(TArg0, TArg1, TArg2, TArg3, TArg4), TCallback > Class Template Reference

`#include <closure.h>`

## Public Types

typedef TCallback | callback_type

## Public Member Functions

| closure (const callback_type &f, const TArg0 arg0, const TArg1 arg1, const TArg2 arg2, const TArg3 arg3, const TArg4 arg4)
TReturn | operator() () const

## Detailed Description

template<typename TReturn, typename TArg0, typename TArg1, typename TArg2, typename TArg3, typename TArg4, typename TCallback>
class etl::closure< TReturn(TArg0, TArg1, TArg2, TArg3, TArg4), TCallback >

Closure for binding five arguments to a callback and invoking it later.

Template Parameters

  TReturn | The return type of the callback.
  TArg0 | The type of the first argument.
  TArg1 | The type of the second argument.
  TArg2 | The type of the third argument.
  TArg3 | The type of the fourth argument.
  TArg4 | The type of the fifth argument.
  TCallback | The callback type.

## Constructor & Destructor Documentation

## closure()

template<typename TReturn, typename TArg0, typename TArg1, typename TArg2, typename TArg3, typename TArg4, typename TCallback>

etl::closure< TReturn(TArg0, TArg1, TArg2, TArg3, TArg4), TCallback >::closure | ( | const callback_type & | f,
|  | const TArg0 | arg0,
|  | const TArg1 | arg1,
|  | const TArg2 | arg2,
|  | const TArg3 | arg3,
|  | const TArg4 | arg4 )

inline

Construct a closure with a callback and its arguments.

Parameters

  f | The callback to be invoked.
  arg0 | The first argument to bind.
  arg1 | The second argument to bind.
  arg2 | The third argument to bind.
  arg3 | The fourth argument to bind.
  arg4 | The fifth argument to bind.

## Member Function Documentation

## operator()()

template<typename TReturn, typename TArg0, typename TArg1, typename TArg2, typename TArg3, typename TArg4, typename TCallback>

TReturn etl::closure< TReturn(TArg0, TArg1, TArg2, TArg3, TArg4), TCallback >::operator() | ( |  | ) | const

inline

Invoke the stored callback with the bound arguments.

Returns
  The result of the callback invocation.

The documentation for this class was generated from the following file:

- include/etl/closure.h